% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/reset.cm.R
\name{reset.cm}
\alias{reset.cm}
\title{Move center of mass to the origin}
\usage{
reset.cm(sim)
}
\arguments{
\item{sim}{list of m, x, v or list with a sublist "ics", made of m, x, v, where
\code{m} = N-vector with the masses of the N particles. Negative masses are treated as positive masses of same magnitude, since negative masses normally represent positive background masses in the nbody package.\cr
\code{x} = N-by-3 matrix specifying the initial position in cartesian coordinates\cr
\code{v} = N-by-3 matrix specifying the initial velocities\cr\cr}
}
\value{
Returns a structure of the same format as the input argument, but with re-centered positions and velocities.
}
\description{
Routine, designed to reset the center of mass (CM) of the initial conditions (ICs) of an N-body simulation. The CM position and velocity are both shifted to (0,0,0).
}
\author{
Danail Obreschkow
}
